Subject: bug#67480: 30.0.50; Cannot start eglot

From: João Távora <[email-masked]>
Date: Wed, 29 Nov 2023 00:40:45 +0000

On Tue, Nov 28, 2023 at 5:27 PM João Távora <[email-masked]> wrote:

> I don't have the code in front of me, but ok, so a lazy slot.

I've now fixed this and a bunch of other similar problems in
master.  But let's wait a few more days if some more related
flak comes in before closing this.

Maybe it also makes sense to merge this with bug#67480?

João

PS:  I wrote earlier that the :before on the accessor generic is
standard CLOS technique for lazy slots.  It could be, but
slot-unbound of the slot-value protocol is more correct.  Just
nitpicking myself here.  EIEIO seems to support slot-unbound.